import { Service } from '../../index';
import { IoptionsParams } from '../../../types';
import { LogService } from '../log';
import { BusMessage, BusSubscriber, OnBusCallback } from './busManager';
/**
 * @author 谦彧 <zhangmian.zm@alipay.com>
 * @date 2024/9/17
 */
export declare class ApiBusManagerService implements Service {
    protected logger: LogService;
    protected instanceId: string;
    private busManager;
    init(initOptions: IoptionsParams, instanceId: string): void;
    subscribe(subscriber: BusSubscriber): void;
    unsubscribe(subscriber: BusSubscriber): void;
    isSubscribed(actionName: string): boolean;
    publish(message: BusMessage, callback?: OnBusCallback): void;
    update(): void;
    destroy(): void;
}
